package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerEntity;
/**
* 客户查询对象
*
* @author zxfei
* @date 2021-11-22
*/
public class CustomerQuery extends CustomerEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 用户账号 */
    private List<String> loginNameList;

    /** 密码 */
    private List<String> passwordList;

    /** 开始 客户类型 */
    private Integer custTypeStart;

    /** 结束 客户类型 */
    private Integer custTypeEnd;

    /** 增加 客户类型 */
    private Integer custTypeIncrement;

    /** 客户类型列表 */
    private List <Integer> custTypeList;

    /** 开始 行业类型 */
    private Integer tradeIdStart;

    /** 结束 行业类型 */
    private Integer tradeIdEnd;

    /** 增加 行业类型 */
    private Integer tradeIdIncrement;

    /** 行业类型列表 */
    private List <Integer> tradeIdList;

    /** 客户名称 */
    private List<String> custNameList;

    /** 地址 */
    private List<String> addressList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** 开始 状态 */
    private Integer statusStart;

    /** 结束 状态 */
    private Integer statusEnd;

    /** 增加 状态 */
    private Integer statusIncrement;

    /** 状态列表 */
    private List <Integer> statusList;

    /** 颁发给用户的访问服务所用的密钥ID */
    private List<String> accessKeyList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerQuery> andConditionList;

    public CustomerQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 用户账号
    * @return loginNameList
    */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
    * 设置 用户账号
    * @param loginNameList
    */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }
    /**
    * 获取 密码
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }
    /**
    * 获取 开始 客户类型
    * @return custTypeStart
    */
    public Integer getCustTypeStart(){
        return this.custTypeStart;
    }

    /**
    * 设置 开始 客户类型
    * @param custTypeStart
    */
    public void setCustTypeStart(Integer custTypeStart){
        this.custTypeStart = custTypeStart;
    }

    /**
    * 获取 结束 客户类型
    * @return $custTypeEnd
    */
    public Integer getCustTypeEnd(){
        return this.custTypeEnd;
    }

    /**
    * 设置 结束 客户类型
    * @param custTypeEnd
    */
    public void setCustTypeEnd(Integer custTypeEnd){
        this.custTypeEnd = custTypeEnd;
    }

    /**
    * 获取 增加 客户类型
    * @return custTypeIncrement
    */
    public Integer getCustTypeIncrement(){
        return this.custTypeIncrement;
    }

    /**
    * 设置 增加 客户类型
    * @param custTypeIncrement
    */
    public void setCustTypeIncrement(Integer custTypeIncrement){
        this.custTypeIncrement = custTypeIncrement;
    }

    /**
    * 获取 客户类型
    * @return custTypeList
    */
    public List<Integer> getCustTypeList(){
        return this.custTypeList;
    }

    /**
    * 设置 客户类型
    * @param custTypeList
    */
    public void setCustTypeList(List<Integer> custTypeList){
        this.custTypeList = custTypeList;
    }

    /**
    * 获取 开始 行业类型
    * @return tradeIdStart
    */
    public Integer getTradeIdStart(){
        return this.tradeIdStart;
    }

    /**
    * 设置 开始 行业类型
    * @param tradeIdStart
    */
    public void setTradeIdStart(Integer tradeIdStart){
        this.tradeIdStart = tradeIdStart;
    }

    /**
    * 获取 结束 行业类型
    * @return $tradeIdEnd
    */
    public Integer getTradeIdEnd(){
        return this.tradeIdEnd;
    }

    /**
    * 设置 结束 行业类型
    * @param tradeIdEnd
    */
    public void setTradeIdEnd(Integer tradeIdEnd){
        this.tradeIdEnd = tradeIdEnd;
    }

    /**
    * 获取 增加 行业类型
    * @return tradeIdIncrement
    */
    public Integer getTradeIdIncrement(){
        return this.tradeIdIncrement;
    }

    /**
    * 设置 增加 行业类型
    * @param tradeIdIncrement
    */
    public void setTradeIdIncrement(Integer tradeIdIncrement){
        this.tradeIdIncrement = tradeIdIncrement;
    }

    /**
    * 获取 行业类型
    * @return tradeIdList
    */
    public List<Integer> getTradeIdList(){
        return this.tradeIdList;
    }

    /**
    * 设置 行业类型
    * @param tradeIdList
    */
    public void setTradeIdList(List<Integer> tradeIdList){
        this.tradeIdList = tradeIdList;
    }

    /**
    * 获取 客户名称
    * @return custNameList
    */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
    * 设置 客户名称
    * @param custNameList
    */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
    * 获取 地址
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 地址
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }
    /**
    * 获取 联系电话
    * @return contactTelphoneList
    */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
    * 获取 开始 状态
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 颁发给用户的访问服务所用的密钥ID
    * @return accessKeyList
    */
    public List<String> getAccessKeyList(){
        return this.accessKeyList;
    }

    /**
    * 设置 颁发给用户的访问服务所用的密钥ID
    * @param accessKeyList
    */
    public void setAccessKeyList(List<String> accessKeyList){
        this.accessKeyList = accessKeyList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CustomerQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CustomerQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CustomerQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CustomerQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CustomerQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 用户账号
    * @param loginName
    */
    public CustomerQuery loginName(String loginName){
        setLoginName(loginName);
		return this;
    }

    /**
    * 设置 用户账号
    * @param loginNameList
    */
    public CustomerQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
		return this;
    }


	/**
    * 设置 密码
    * @param password
    */
    public CustomerQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public CustomerQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }

    /**
    * 设置  客户类型
    * @param custType
    */
    public CustomerQuery custType(Integer custType){
	    setCustType(custType);
		return this;
    }
	
	 /**
    * 设置 开始 客户类型
    * @param custTypeStart
    */
    public CustomerQuery custTypeStart(Integer custTypeStart){
		this.custTypeStart = custTypeStart;
		return this;
    }

    /**
    * 设置 结束 客户类型
    * @param custTypeEnd
    */
    public CustomerQuery custTypeEnd(Integer custTypeEnd){
		this.custTypeEnd = custTypeEnd;
		return this;
    }

    /**
    * 设置 增加 客户类型
    * @param custTypeIncrement
    */
    public CustomerQuery custTypeIncrement(Integer custTypeIncrement){
		this.custTypeIncrement = custTypeIncrement;
		return this;
    }

    /**
    * 设置 客户类型
    * @param custTypeList
    */
    public CustomerQuery custTypeList(List<Integer> custTypeList){
        this.custTypeList = custTypeList;
		return this;
        }

    /**
    * 设置  行业类型
    * @param tradeId
    */
    public CustomerQuery tradeId(Integer tradeId){
	    setTradeId(tradeId);
		return this;
    }
	
	 /**
    * 设置 开始 行业类型
    * @param tradeIdStart
    */
    public CustomerQuery tradeIdStart(Integer tradeIdStart){
		this.tradeIdStart = tradeIdStart;
		return this;
    }

    /**
    * 设置 结束 行业类型
    * @param tradeIdEnd
    */
    public CustomerQuery tradeIdEnd(Integer tradeIdEnd){
		this.tradeIdEnd = tradeIdEnd;
		return this;
    }

    /**
    * 设置 增加 行业类型
    * @param tradeIdIncrement
    */
    public CustomerQuery tradeIdIncrement(Integer tradeIdIncrement){
		this.tradeIdIncrement = tradeIdIncrement;
		return this;
    }

    /**
    * 设置 行业类型
    * @param tradeIdList
    */
    public CustomerQuery tradeIdList(List<Integer> tradeIdList){
        this.tradeIdList = tradeIdList;
		return this;
        }


	/**
    * 设置 客户名称
    * @param custName
    */
    public CustomerQuery custName(String custName){
        setCustName(custName);
		return this;
    }

    /**
    * 设置 客户名称
    * @param custNameList
    */
    public CustomerQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
		return this;
    }


	/**
    * 设置 地址
    * @param address
    */
    public CustomerQuery address(String address){
        setAddress(address);
		return this;
    }

    /**
    * 设置 地址
    * @param addressList
    */
    public CustomerQuery addressList(List<String> addressList){
        this.addressList = addressList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param contactTelphone
    */
    public CustomerQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public CustomerQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
		return this;
    }

    /**
    * 设置  状态
    * @param status
    */
    public CustomerQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态
    * @param statusStart
    */
    public CustomerQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态
    * @param statusEnd
    */
    public CustomerQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态
    * @param statusIncrement
    */
    public CustomerQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态
    * @param statusList
    */
    public CustomerQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }


	/**
    * 设置 颁发给用户的访问服务所用的密钥ID
    * @param accessKey
    */
    public CustomerQuery accessKey(String accessKey){
        setAccessKey(accessKey);
		return this;
    }

    /**
    * 设置 颁发给用户的访问服务所用的密钥ID
    * @param accessKeyList
    */
    public CustomerQuery accessKeyList(List<String> accessKeyList){
        this.accessKeyList = accessKeyList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CustomerQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CustomerQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CustomerQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CustomerQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CustomerQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CustomerQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CustomerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CustomerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CustomerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}